package ru.myitschool.work.domain.auth

class CheckLoginFormatUseCase {
    operator fun invoke(login: String): Boolean {
        return login.all { char -> char.isLetterOrDigit() &&
                ((char in 'A'..'Z') || (char in 'a'..'z') || char.isDigit())
        }
    }
}